Cambrionix connect
Developers
Authentication API

Groups & Roles

View and administer Groups & Roles in your organization.

Get Entity

GET

/entities/{entityId}

Get an entity by id.

Requires a bearer access token for this API with the Organization.Groups.Entities.Read permission. See Authentication.

Parameters

entityIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultany ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/entities/{entityId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Entity Groups

GET

/entities/{entityId}/groups

Get groups associated with an entity by id.

Requires a bearer access token for this API with the Organization.Groups.Entities.Read permission. See Authentication.

Parameters

entityIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultGroup[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/entities/{entityId}/groups" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create Group

POST

/group

Create a new group.

Requires a bearer access token for this API with the Organization.Groups.Write permission. See Authentication.

Request body

object
descriptionstringrequired
namestringrequired

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/group" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string"
}'

List Groups

GET

/groups

Get all Groups scoped to a specific Organization.

Requires a bearer access token for this API with the Organization.Groups.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultGroup[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/groups" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Group

GET

/groups/{groupId}

Get a Group by id.

Requires a bearer access token for this API with the Organization.Groups.Read permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Group

PATCH

/groups/{groupId}

Update a Group by id.

Requires a bearer access token for this API with the Organization.Groups.Write permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

Request body

object
descriptionstring
namestring

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/v1/groups/{groupId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string"
}'

Delete Group

DELETE

/groups/{groupId}

Delete a Group by id.

Requires a bearer access token for this API with the Organization.Groups.Delete permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/groups/{groupId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Group Entities

GET

/groups/{groupId}/entities

Get all Entities associated with a Group.

Requires a bearer access token for this API with the Organization.Groups.Entities.Read permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultany of[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}/entities" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Delete Entity Reference

DELETE

/groups/{groupId}/entities/{entityId}

Delete an Entity Group entry

Requires a bearer access token for this API with the Organization.Groups.Entities.Delete permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

entityIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultany ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/groups/{groupId}/entities/{entityId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create Group Entity

POST

/groups/{groupId}/entity

Create a new Group Entity.

Requires a bearer access token for this API with the Organization.Groups.Entities.Write permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

Request body

string[]

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultany of[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/groups/{groupId}/entity" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  "string"
]'

Create Group Role

POST

/groups/{groupId}/role

Create a new Group Role assignment.

Requires a bearer access token for this API with the Organization.Groups.Role.Write permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

Request body

any of

Option 1: object

Option 2: object

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/groups/{groupId}/role" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "group": {
    "id": "string"
  },
  "roleId": "string"
}'

Get Group Roles

GET

/groups/{groupId}/roles

Get all Group Roles scoped to a specific Group.

Requires a bearer access token for this API with the Organization.Groups.Role.Read permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

Responses

200
object
resultOrganizationGroupRole[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}/roles" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Group Role

GET

/groups/{groupId}/roles/{roleId}

Get an Organization Group Role by id.

Requires a bearer access token for this API with the Organization.Groups.Role.Read permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

roleIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}/roles/{roleId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Delete Group Role

DELETE

/groups/{groupId}/roles/{roleId}

Delete an Organization Group Role by id.

Requires a bearer access token for this API with the Organization.Groups.Role.Delete permission. See Authentication.

Parameters

groupIdstringpathrequired

Path parameter

roleIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/groups/{groupId}/roles/{roleId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization Roles

GET

/organizations/{organizationId}/roles

Get all Organization Roles.

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

Organization Id

tokenstringquery

Continuation token

limitintegerquery

Number of records to return

sortstringquery

Sort query parameter

Responses

200

The Organization Roles available.

object
_metadataobject

Paging details for the list.

resultOrganizationRole[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization Role

GET

/organizations/{organizationId}/roles/{roleId}

Get an Organization.

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

Organization Id

roleIdstringpathrequired

Role Id

Responses

200

The Organization Role object

object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles/{roleId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update Organization Role by Identifier

PATCH

/organizations/{organizationId}/roles/{roleId}

Update an Organization Role by id

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

Organization Id

roleIdstringpathrequired

Role Id

Request body

object
descriptionstringrequired
idstringrequired
namestringrequired
permissionsobjectrequired
typestringrequired

One of: "organization", "built-in"

Responses

200

The Organization Role object

object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles/{roleId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "id": "string",
  "name": "string",
  "permissions": {
    "allowed": [],
    "denied": [],
    "scope": "string"
  },
  "type": "organization"
}'

Delete Organization Role

DELETE

/organizations/{organizationId}/roles/{roleId}

Delete an Organization Role by id.

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

Organization Id

roleIdstringpathrequired

Role Id

Responses

200

Ok

object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles/{roleId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Add Organization Role

POST

/role

Add an Organization Role.

Requires a bearer access token for this API with the CustomRole.Write permission. See Authentication.

Request body

object
descriptionstringrequired
namestringrequired
permissionsobjectrequired
typestringrequired

One of: "organization", "built-in"

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/role" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string",
  "permissions": {
    "allowed": [],
    "denied": [],
    "scope": "string"
  },
  "type": "organization"
}'

Update Organization Role

PATCH

/role

Update an Organization Role.

Requires a bearer access token for this API with the CustomRole.Write permission. See Authentication.

Request body

object
idstringrequired
descriptionstring
namestring
permissionsobject
typestring

One of: "organization", "built-in"

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/v1/role" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string",
  "description": "string",
  "name": "string",
  "permissions": {
    "allowed": [],
    "denied": [],
    "scope": "string"
  },
  "type": "organization"
}'